#include "smtp.h"

// S:2005-08-29 gorila@dione.zcu.cz
int smtp_out_packets_presence(smtpp par,char *type)
   {
   int liProcess=0;
   jpacket jp=par->jp;
   xmlnode x;

   switch(jp->subtype)
      {
      case JPACKET__AVAILABLE:
           x= out_SetReply(xmlnode_new_tag("presence"),jp->x);
           xmlnode_insert_cdata(xmlnode_insert_tag(x,"status"),"Online",-1);
           liProcess=1;
           break;

      case JPACKET__UNAVAILABLE:
           x= out_SetReply(xmlnode_new_tag("presence"),jp->x);
           xmlnode_put_attrib(x,"type","unavailable");
           liProcess=1;
           break;

      case JPACKET__PROBE:
           x= out_SetReply(xmlnode_new_tag("presence"),jp->x);
           xmlnode_insert_cdata(xmlnode_insert_tag(x,"status"),"Online",-1);
           liProcess=1;
           break;

      case JPACKET__ERROR:
           break;

      case JPACKET__INVISIBLE:
           break;
      }


   if (liProcess==1)
      {
      deliver(dpacket_new(xmlnode_dup(x)),par->sin->i);
      xmlnode_free(x);
      }


   return liProcess;
   }
// E:2005-08-29 gorila@dione.zcu.cz
